# FCmdRoot
Date: 2018-12-06

com.massivecraft.factions.cmd

## Class FCmdRoot

- java.lang.Object
- - com.massivecraft.factions.zcore.MCommand<SaberFactions>
  - - com.massivecraft.factions.cmd.FCommand
    - - com.massivecraft.factions.cmd.FCmdRoot

    public class FCmdRoot
    extends FCommand

### Field Summary

Fields
`CmdAdmin` `cmdAdmin`
`CmdAHome` `cmdAHome`
`CmdAnnounce` `cmdAnnounce`
`CmdAutoClaim` `cmdAutoClaim`
`CmdBan` `cmdban`
`CmdBanlist` `cmdbanlist`
`CmdBanner` `cmdBanner`
`CmdBoom` `cmdBoom`
`CmdBypass` `cmdBypass`
`CmdChat` `cmdChat`
`CmdChatSpy` `cmdChatSpy`
`CmdCheckpoint` `cmdCheckpoint`
`CmdChest` `cmdChest`
`CmdClaim` `cmdClaim`
`CmdClaimAt` `cmdClaimAt`
`CmdClaimLine` `cmdClaimLine`
`CmdColeader` `cmdColeader`
`CmdConfig` `cmdConfig`
`CmdConvert` `cmdConvert`
`CmdCoords` `cmdCoords`
`CmdCreate` `cmdCreate`
`CmdDeinvite` `cmdDeinvite`
`CmdDelFWarp` `cmdDelFWarp`
`CmdDemote` `cmdDemote`
`CmdDescription` `cmdDescription`
`CmdDisband` `cmdDisband`
`CmdFly` `cmdFly`
`CmdFocus` `cmdFocus`
`CmdFWarp` `cmdFWarp`
`CmdGetVault` `cmdGetVault`
`CmdHelp` `cmdHelp`
`CmdHome` `cmdHome`
`CmdInspect` `cmdInspect`
`CmdInvite` `cmdInvite`
`CmdJoin` `cmdJoin`
`CmdKick` `cmdKick`
`CmdKillHolograms` `cmdKillHolograms`
`CmdLeave` `cmdLeave`
`CmdList` `cmdList`
`CmdLock` `cmdLock`
`CmdLogins` `cmdLogins`
`CmdLowPower` `cmdLowPower`
`CmdMap` `cmdMap`
`CmdMapHeight` `cmdMapHeight`
`CmdMod` `cmdMod`
`CmdModifyPower` `cmdModifyPower`
`CmdMoney` `cmdMoney`
`CmdNear` `cmdNear`
`CmdOpen` `cmdOpen`
`CmdOwner` `cmdOwner`
`CmdOwnerList` `cmdOwnerList`
`CmdPaypalSee` `cmdPaypalSee`
`CmdPaypalSet` `cmdPaypalSet`
`CmdPeaceful` `cmdPeaceful`
`CmdPerm` `cmdPerm`
`CmdPermanent` `cmdPermanent`
`CmdPermanentPower` `cmdPermanentPower`
`CmdPower` `cmdPower`
`CmdPowerBoost` `cmdPowerBoost`
`CmdPromote` `cmdPromote`
`CmdRelationAlly` `cmdRelationAlly`
`CmdRelationEnemy` `cmdRelationEnemy`
`CmdRelationNeutral` `cmdRelationNeutral`
`CmdRelationTruce` `cmdRelationTruce`
`CmdReload` `cmdReload`
`CmdRules` `cmdRules`
`CmdSafeunclaimall` `cmdSafeunclaimall`
`CmdSaveAll` `cmdSaveAll`
`CmdSB` `cmdSB`
`CmdSeeChunk` `cmdSeeChunk`
`CmdSetBanner` `cmdSetBanner`
`CmdSetDefaultRole` `cmdSetDefaultRole`
`CmdSetFWarp` `cmdSetFWarp`
`CmdSethome` `cmdSethome`
`CmdShow` `cmdShow`
`CmdShowClaims` `cmdShowClaims`
`CmdShowInvites` `cmdShowInvites`
`CmdStatus` `cmdStatus`
`CmdStealth` `cmdStealth`
`CmdStuck` `cmdStuck`
`CmdTag` `cmdTag`
`CmdTitle` `cmdTitle`
`CmdTnt` `cmdTnt`
`CmdTntFill` `cmdTntFill`
`CmdToggleAllianceChat` `cmdToggleAllianceChat`
`CmdTop` `cmdTop`
`CmdTpBanner` `cmdTpBanner`
`CmdUnban` `cmdUnban`
`CmdUnclaim` `cmdUnclaim`
`CmdUnclaimall` `cmdUnclaimall`
`CmdUpgrades` `cmdUpgrades`
`CmdVault` `cmdVault`
`CmdVersion` `cmdVersion`
`CmdWarunclaimall` `cmdWarunclaimall`

### Fields inherited from class com.massivecraft.factions.cmd.FCommand

`disableOnLock, fme, isMoneyCommand, myFaction, sdf, senderMustBeAdmin, senderMustBeColeader, senderMustBeMember, senderMustBeModerator`

### Fields inherited from class com.massivecraft.factions.zcore.MCommand

`aliases, allowNoSlashAccess, args, commandChain, errorOnToManyArgs, helpLong, me, optionalArgs, p, permission, requiredArgs, sender, senderIsConsole, senderMustBePlayer, subCommands, visibility`

### Constructor Summary

Constructors
Constructor and Description
`FCmdRoot()`

### Method Summary

All Methods Instance Methods Concrete Methods
`TL` `getUsageTranslation()`
`void` `perform()`

### Methods inherited from class com.massivecraft.factions.cmd.FCommand

`argAsBestFPlayerMatch, argAsBestFPlayerMatch, argAsBestFPlayerMatch, argAsFaction, argAsFaction, argAsFaction, argAsFPlayer, argAsFPlayer, argAsFPlayer, assertHasFaction, assertMinRole, canAffordCommand, canIAdministerYou, doWarmUp, doWarmUp, execute, isEnabled, payForCommand, payForCommand, strAsBestFPlayerMatch, strAsFaction, strAsFPlayer, validSenderType`

### Methods inherited from class com.massivecraft.factions.zcore.MCommand

`addSubCommand, argAsBestPlayerMatch, argAsBestPlayerMatch, argAsBestPlayerMatch, argAsBool, argAsBool, argAsDouble, argAsDouble, argAsInt, argAsInt, argAsPlayer, argAsPlayer, argAsPlayer, argAsString, argAsString, argIsSet, execute, getHelpShort, getToolTips, getToolTips, getUseageTemplate, getUseageTemplate, getUseageTemplate, msg, msg, replaceFactionTags, replaceFPlayerTags, sendFancyMessage, sendFancyMessage, sendMessage, sendMessage, setHelpShort, strAsBestPlayerMatch, strAsBool, strAsDouble, strAsInt, strAsPlayer, validArgs, validArgs, validCall, validSenderPermissions`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### cmdAdmin

    public CmdAdmin cmdAdmin

#### cmdAutoClaim

    public CmdAutoClaim cmdAutoClaim

#### cmdBoom

    public CmdBoom cmdBoom

#### cmdBypass

    public CmdBypass cmdBypass

#### cmdChat

    public CmdChat cmdChat

#### cmdChatSpy

    public CmdChatSpy cmdChatSpy

#### cmdClaim

    public CmdClaim cmdClaim

#### cmdConfig

    public CmdConfig cmdConfig

#### cmdCreate

    public CmdCreate cmdCreate

#### cmdDeinvite

    public CmdDeinvite cmdDeinvite

#### cmdDescription

    public CmdDescription cmdDescription

#### cmdDisband

    public CmdDisband cmdDisband

#### cmdFocus

    public CmdFocus cmdFocus

#### cmdHelp

    public CmdHelp cmdHelp

#### cmdHome

    public CmdHome cmdHome

#### cmdInvite

    public CmdInvite cmdInvite

#### cmdJoin

    public CmdJoin cmdJoin

#### cmdKick

    public CmdKick cmdKick

#### cmdLeave

    public CmdLeave cmdLeave

#### cmdList

    public CmdList cmdList

#### cmdLock

    public CmdLock cmdLock

#### cmdMap

    public CmdMap cmdMap

#### cmdMod

    public CmdMod cmdMod

#### cmdMoney

    public CmdMoney cmdMoney

#### cmdOpen

    public CmdOpen cmdOpen

#### cmdOwner

    public CmdOwner cmdOwner

#### cmdOwnerList

    public CmdOwnerList cmdOwnerList

#### cmdPeaceful

    public CmdPeaceful cmdPeaceful

#### cmdPermanent

    public CmdPermanent cmdPermanent

#### cmdPermanentPower

    public CmdPermanentPower cmdPermanentPower

#### cmdPowerBoost

    public CmdPowerBoost cmdPowerBoost

#### cmdPower

    public CmdPower cmdPower

#### cmdRelationAlly

    public CmdRelationAlly cmdRelationAlly

#### cmdRelationEnemy

    public CmdRelationEnemy cmdRelationEnemy

#### cmdRelationNeutral

    public CmdRelationNeutral cmdRelationNeutral

#### cmdRelationTruce

    public CmdRelationTruce cmdRelationTruce

#### cmdReload

    public CmdReload cmdReload

#### cmdSafeunclaimall

    public CmdSafeunclaimall cmdSafeunclaimall

#### cmdSaveAll

    public CmdSaveAll cmdSaveAll

#### cmdSethome

    public CmdSethome cmdSethome

#### cmdShow

    public CmdShow cmdShow

#### cmdStatus

    public CmdStatus cmdStatus

#### cmdStealth

    public CmdStealth cmdStealth

#### cmdStuck

    public CmdStuck cmdStuck

#### cmdTag

    public CmdTag cmdTag

#### cmdTitle

    public CmdTitle cmdTitle

#### cmdToggleAllianceChat

    public CmdToggleAllianceChat cmdToggleAllianceChat

#### cmdUnclaim

    public CmdUnclaim cmdUnclaim

#### cmdUnclaimall

    public CmdUnclaimall cmdUnclaimall

#### cmdVersion

    public CmdVersion cmdVersion

#### cmdWarunclaimall

    public CmdWarunclaimall cmdWarunclaimall

#### cmdSB

    public CmdSB cmdSB

#### cmdShowInvites

    public CmdShowInvites cmdShowInvites

#### cmdAnnounce

    public CmdAnnounce cmdAnnounce

#### cmdPaypalSet

    public CmdPaypalSet cmdPaypalSet

#### cmdPaypalSee

    public CmdPaypalSee cmdPaypalSee

#### cmdSeeChunk

    public CmdSeeChunk cmdSeeChunk

#### cmdConvert

    public CmdConvert cmdConvert

#### cmdFWarp

    public CmdFWarp cmdFWarp

#### cmdSetFWarp

    public CmdSetFWarp cmdSetFWarp

#### cmdDelFWarp

    public CmdDelFWarp cmdDelFWarp

#### cmdModifyPower

    public CmdModifyPower cmdModifyPower

#### cmdLogins

    public CmdLogins cmdLogins

#### cmdClaimLine

    public CmdClaimLine cmdClaimLine

#### cmdTop

    public CmdTop cmdTop

#### cmdAHome

    public CmdAHome cmdAHome

#### cmdPerm

    public CmdPerm cmdPerm

#### cmdPromote

    public CmdPromote cmdPromote

#### cmdDemote

    public CmdDemote cmdDemote

#### cmdSetDefaultRole

    public CmdSetDefaultRole cmdSetDefaultRole

#### cmdMapHeight

    public CmdMapHeight cmdMapHeight

#### cmdClaimAt

    public CmdClaimAt cmdClaimAt

#### cmdban

    public CmdBan cmdban

#### cmdUnban

    public CmdUnban cmdUnban

#### cmdbanlist

    public CmdBanlist cmdbanlist

#### cmdRules

    public CmdRules cmdRules

#### cmdCheckpoint

    public CmdCheckpoint cmdCheckpoint

#### cmdTnt

    public CmdTnt cmdTnt

#### cmdNear

    public CmdNear cmdNear

#### cmdUpgrades

    public CmdUpgrades cmdUpgrades

#### cmdVault

    public CmdVault cmdVault

#### cmdGetVault

    public CmdGetVault cmdGetVault

#### cmdFly

    public CmdFly cmdFly

#### cmdColeader

    public CmdColeader cmdColeader

#### cmdBanner

    public CmdBanner cmdBanner

#### cmdTpBanner

    public CmdTpBanner cmdTpBanner

#### cmdKillHolograms

    public CmdKillHolograms cmdKillHolograms

#### cmdInspect

    public CmdInspect cmdInspect

#### cmdCoords

    public CmdCoords cmdCoords

#### cmdShowClaims

    public CmdShowClaims cmdShowClaims

#### cmdLowPower

    public CmdLowPower cmdLowPower

#### cmdTntFill

    public CmdTntFill cmdTntFill

#### cmdChest

    public CmdChest cmdChest

#### cmdSetBanner

    public CmdSetBanner cmdSetBanner

### Constructor Detail

#### FCmdRoot

    public FCmdRoot()

### Method Detail

#### perform

    public void perform()

Specified by:
  `perform` in class `MCommand<SaberFactions>`

#### getUsageTranslation

    public TL getUsageTranslation()

Specified by:
  `getUsageTranslation` in class `MCommand<SaberFactions>`